Debian Bug report logs - #598361
slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: "Bryan K. Walton" <bryan-walton@uiowa.edu>

Date: Tue, 28 Sep 2010 13:51:01 UTC

Severity: grave

Found in version openldap/2.4.23-6

Fixed in versions openldap/2.4.25-1, openldap/2.4.23-7.1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bryan-walton@uiowa.edu, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bryan K. Walton" <bryan-walton@uiowa.edu>:
New Bug report received and forwarded. Copy sent to bryan-walton@uiowa.edu, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 13:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bryan K. Walton" <bryan-walton@uiowa.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 08:47:03 -0500
Package: slapd
Version: 2.4.23-6
Severity: normal


I've recently upgraded slapd from Lenny to Squeeze.  Nightly, I run
a slapcat to dump to directory to an LDIF file for backup.  Since
the upgrade, I now get the following error:

bdb_db_open: database "dc=i-clic,dc=uihc,dc=uiowa,dc=edu": unclean
shutdown detected; attempting recovery.
bdb_db_open: database "dc=i-clic,dc=uihc,dc=uiowa,dc=edu": recovery
skipped in read-only mode. Run manual recovery if errors are
encountered.

I get this error every time.  I also get this error when I run slaptest.

After doing some research online, I have installed db4.8-util and have
run:

db4.8-recover
db4.8-checkpoint -1

These commands seem to run fine.  I have verified that my slapd instance
is using 4.8 (4.8.30).  However, I can immediately run the slapcat or
slaptest after running the above commands and the same error repeats 
itself.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32.22 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages slapd depends on:
ii  adduser                   3.112          add and remove users and groups
ii  coreutils                 8.5-1          GNU core utilities
ii  debconf [debconf-2.0]     1.5.35         Debian configuration management sy
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libdb4.8                  4.8.30-2       Berkeley v4.8 Database Libraries [
ii  libgnutls26               2.8.6-1        the GNU TLS library - runtime libr
ii  libldap-2.4-2             2.4.23-6       OpenLDAP libraries
ii  libltdl7                  2.2.6b-2       A system independent dlopen wrappe
ii  libperl5.10               5.10.1-14      shared Perl library
ii  libsasl2-2                2.1.23.dfsg1-6 Cyrus SASL - authentication abstra
ii  libslp1                   1.2.1-7.8      OpenSLP libraries
ii  libwrap0                  7.6.q-19       Wietse Venema's TCP wrappers libra
ii  lsb-base                  3.2-23.1       Linux Standard Base 3.2 init scrip
ii  perl [libmime-base64-perl 5.10.1-14      Larry Wall's Practical Extraction 
ii  psmisc                    22.11-1        utilities that use the proc file s
ii  unixodbc                  2.2.14p2-1     ODBC tools libraries

Versions of packages slapd recommends:
ii  libsasl2-modules          2.1.23.dfsg1-6 Cyrus SASL - pluggable authenticat

Versions of packages slapd suggests:
ii  ldap-utils                    2.4.23-6   OpenLDAP utilities

-- Configuration Files:
/etc/default/slapd changed:
SLAPD_CONF="/etc/ldap/slapd.conf"
SLAPD_USER="openldap"
SLAPD_GROUP="openldap"
SLAPD_PIDFILE=
SLAPD_SERVICES="ldap:/// ldaps:/// ldapi:///"
SLAPD_SENTINEL_FILE=/etc/ldap/noslapd
SLAPD_OPTIONS=""


-- debconf information:
  slapd/tlsciphersuite:
  slapd/password_mismatch:
  slapd/invalid_config: true
  shared/organization: i-clic.uihc.uiowa.edu
  slapd/upgrade_slapcat_failure:
  slapd/slurpd_obsolete:
  slapd/backend: HDB
  slapd/dump_database: when needed
  slapd/allow_ldap_v2: false
  slapd/no_configuration: false
  slapd/move_old_database: true
  slapd/suffix_change: false
  slapd/dump_database_destdir: /var/backups/slapd-VERSION
  slapd/purge_database: false
  slapd/domain: i-clic.uihc.uiowa.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 598361@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: "Bryan K. Walton" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 15:58:23 +0200
On Sep 28, 2010, at 3:47 PM, Bryan K. Walton wrote:

> Package: slapd
> Version: 2.4.23-6
> Severity: normal
> 
> 
> I've recently upgraded slapd from Lenny to Squeeze.  Nightly, I run
> a slapcat to dump to directory to an LDIF file for backup.  Since
> the upgrade, I now get the following error:
> 
> bdb_db_open: database "dc=i-clic,dc=uihc,dc=uiowa,dc=edu": unclean
> shutdown detected; attempting recovery.
> bdb_db_open: database "dc=i-clic,dc=uihc,dc=uiowa,dc=edu": recovery
> skipped in read-only mode. Run manual recovery if errors are
> encountered.
> 
> I get this error every time.  I also get this error when I run slaptest.
> 
> After doing some research online, I have installed db4.8-util and have
> run:
> 
> db4.8-recover
> db4.8-checkpoint -1
> 
> These commands seem to run fine.  I have verified that my slapd instance
> is using 4.8 (4.8.30).  However, I can immediately run the slapcat or
> slaptest after running the above commands and the same error repeats 
> itself.

Hi,

Do you before you backup, shutdown the slapd process ?

/etc/init.d/slapd stop
slapcat ...
/etc/init.d/slapd start

If you don't, then this is probably the reason for this error.

Regards,

Matthijs Möhlmann





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 14:55:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 14:55:49 GMT) Full text and rfc822 format available.

Message #15 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Re: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 09:45:42 -0500
On Tue, 2010-09-28 at 15:58 +0200, Matthijs Mohlmann wrote:

> Do you before you backup, shutdown the slapd process ?
> 
> /etc/init.d/slapd stop
> slapcat ...
> /etc/init.d/slapd start
> 
> If you don't, then this is probably the reason for this error.

Hi Matthijs,

Thanks for the reply.  You are correct.  If I shutdown slapd first, no
error is generated.  I can start doing this.  However, I didn't think
this was necessary.  From the slapcat man page:

"For some backend types, your slapd(8) should not be running (at least,
not in read-write mode) when you do this to ensure consistency of the
database. It is always safe to run slapcat  with the slapd-bdb(5),
slapd-hdb(5), and slapd-null(5) backends."

Is this no longer accurate?

-Bryan







Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 15:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 15:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 08:00:48 -0700
--On Tuesday, September 28, 2010 9:45 AM -0500 "Walton, Bryan K" 
<bryan-walton@uiowa.edu> wrote:

> Thanks for the reply.  You are correct.  If I shutdown slapd first, no
> error is generated.  I can start doing this.  However, I didn't think
> this was necessary.  From the slapcat man page:
>
> "For some backend types, your slapd(8) should not be running (at least,
> not in read-write mode) when you do this to ensure consistency of the
> database. It is always safe to run slapcat  with the slapd-bdb(5),
> slapd-hdb(5), and slapd-null(5) backends."
>
> Is this no longer accurate?

If you run db_recover while slapd is running, you'll likely corrupt your 
database.  However, it is perfectly fine to run slapcat while slapd is 
running.

--Quanah


--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 15:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 598361@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Cc: Quanah Gibson-Mount <quanah@zimbra.com>
Subject: Re: [Pkg-openldap-devel] Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 17:03:25 +0200
On 09/28/2010 04:45 PM, Walton, Bryan K wrote:
> On Tue, 2010-09-28 at 15:58 +0200, Matthijs Mohlmann wrote:
>
>> Do you before you backup, shutdown the slapd process ?
>>
>> /etc/init.d/slapd stop
>> slapcat ...
>> /etc/init.d/slapd start
>>
>> If you don't, then this is probably the reason for this error.
>
> Hi Matthijs,
>
> Thanks for the reply.  You are correct.  If I shutdown slapd first, no
> error is generated.  I can start doing this.  However, I didn't think
> this was necessary.  From the slapcat man page:
>
> "For some backend types, your slapd(8) should not be running (at least,
> not in read-write mode) when you do this to ensure consistency of the
> database. It is always safe to run slapcat  with the slapd-bdb(5),
> slapd-hdb(5), and slapd-null(5) backends."
>
> Is this no longer accurate?
>
> -Bryan
>

Bryan:
Asking one of the OpenLDAP developers.

Quanah, can you comment on this ?

Regards,

Matthijs Mohlmann




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 15:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 08:29:10 -0700
--On Tuesday, September 28, 2010 8:00 AM -0700 Quanah Gibson-Mount 
<quanah@zimbra.com> wrote:


> If you run db_recover while slapd is running, you'll likely corrupt your
> database.  However, it is perfectly fine to run slapcat while slapd is
> running.

Finally, I would note I receive no such error while using slapcat with my 
own build of OpenLDAP 2.4.23:

zimbra@zre-ldap002:~$ /opt/zimbra/openldap/sbin/slapcat -F 
/opt/zimbra/data/ldap/config -l /tmp/test.out -b ''
zimbra@zre-ldap002:~$


--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 10:40:49 -0500
On Tue, 2010-09-28 at 08:29 -0700, Quanah Gibson-Mount wrote:

> Finally, I would note I receive no such error while using slapcat with my 
> own build of OpenLDAP 2.4.23:
> 
> zimbra@zre-ldap002:~$ /opt/zimbra/openldap/sbin/slapcat -F 
> /opt/zimbra/data/ldap/config -l /tmp/test.out -b ''
> zimbra@zre-ldap002:~$

Hi Quanah, I'll acknowledge that I this doesn't seem universal.  This is
only happening on our master ldap server.  On the slave, we are get no
such error.  Both are running the current slapd that exists in Squeeze.

Still, the master does give the error.  Running db4.8_recover doesn't
fix whatever the problem is (if there is really a problem).  Any ideas
how this can be fixed?  Is this possibly a bug in BDB 4.8 rather than
slapd?  

Thanks,
Bryan  





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 16:03:05 GMT) Full text and rfc822 format available.

Message #40 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 09:00:35 -0700
--On Tuesday, September 28, 2010 10:40 AM -0500 "Walton, Bryan K" 
<bryan-walton@uiowa.edu> wrote:

> On Tue, 2010-09-28 at 08:29 -0700, Quanah Gibson-Mount wrote:
>
>> Finally, I would note I receive no such error while using slapcat with
>> my  own build of OpenLDAP 2.4.23:
>>
>> zimbra@zre-ldap002:~$ /opt/zimbra/openldap/sbin/slapcat -F
>> /opt/zimbra/data/ldap/config -l /tmp/test.out -b ''
>> zimbra@zre-ldap002:~$
>
> Hi Quanah, I'll acknowledge that I this doesn't seem universal.  This is
> only happening on our master ldap server.  On the slave, we are get no
> such error.  Both are running the current slapd that exists in Squeeze.
>
> Still, the master does give the error.  Running db4.8_recover doesn't
> fix whatever the problem is (if there is really a problem).  Any ideas
> how this can be fixed?  Is this possibly a bug in BDB 4.8 rather than
> slapd?

Well, the server I ran slapcat on is a master server, so I don't think 
that's relevant. ;)  Also, numerous people run OpenLDAP with bdb 4.8 and 
haven't reported such an error.  So it's unlikely it is a 4.8 issue, 
although it could be possible.

Is there any difference in file system between the master and replicas? 
I.e., nfs or ext4 vs ext3 etc?

--Quanah


--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 16:21:07 GMT) Full text and rfc822 format available.

Message #45 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 11:19:59 -0500
On Tue, 2010-09-28 at 09:00 -0700, Quanah Gibson-Mount wrote:

> 
> Is there any difference in file system between the master and replicas? 
> I.e., nfs or ext4 vs ext3 etc?

Yes. The one giving the error is on an ext3.  The one without an error
is xfs.  I just took the liberty of unmounting the ext3 filesystem on
the machine in question and forcing a filesystem check which came back
clean.  After staring slapd up again, I still get the error.

-Bryan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #50 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 09:27:42 -0700
--On Tuesday, September 28, 2010 11:19 AM -0500 "Walton, Bryan K" 
<bryan-walton@uiowa.edu> wrote:

> On Tue, 2010-09-28 at 09:00 -0700, Quanah Gibson-Mount wrote:
>
>>
>> Is there any difference in file system between the master and replicas?
>> I.e., nfs or ext4 vs ext3 etc?
>
> Yes. The one giving the error is on an ext3.  The one without an error
> is xfs.  I just took the liberty of unmounting the ext3 filesystem on
> the machine in question and forcing a filesystem check which came back
> clean.  After staring slapd up again, I still get the error.

Please try the following:

(a) stop slapd
(b) run db_recover on the database
(c) remove the alock file in the database directory
(d) start slapd
(e) run slapcat

Thanks,
Quanah


--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 16:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 16:36:07 GMT) Full text and rfc822 format available.

Message #55 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 11:34:03 -0500
On Tue, 2010-09-28 at 09:27 -0700, Quanah Gibson-Mount wrote:

> Please try the following:
> 
> (a) stop slapd
> (b) run db_recover on the database
> (c) remove the alock file in the database directory
> (d) start slapd
> (e) run slapcat

I just completed this.  Still get the same error.

-Bryan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 16:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 16:45:02 GMT) Full text and rfc822 format available.

Message #60 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 09:42:17 -0700
--On Tuesday, September 28, 2010 11:34 AM -0500 "Walton, Bryan K" 
<bryan-walton@uiowa.edu> wrote:

> On Tue, 2010-09-28 at 09:27 -0700, Quanah Gibson-Mount wrote:
>
>> Please try the following:
>>
>> (a) stop slapd
>> (b) run db_recover on the database
>> (c) remove the alock file in the database directory
>> (d) start slapd
>> (e) run slapcat
>
> I just completed this.  Still get the same error.

Ok, well, that rules out a corrupted alock file (which I've had happen a 
few times).

The last thing I can think of, just to verify the database didn't get into 
an odd place, would be to reload the master.  I'd spot check the LDIF file 
to make sure it looked fine.

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 18:24:06 GMT) Full text and rfc822 format available.

Message #65 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 13:21:36 -0500
On Tue, 2010-09-28 at 09:42 -0700, Quanah Gibson-Mount wrote:

> 
> The last thing I can think of, just to verify the database didn't get into 
> an odd place, would be to reload the master.  I'd spot check the LDIF file 
> to make sure it looked fine.

Thanks.  That didn't seem to make any difference. LDIF file seems
perfectly correct.  I dumped both directories (master and slave), and
LDIFs were identical.  Yet, slapcat errors on the master and not the
slave.  Anyway, I repopulated the directory and still get the error.

BTW, there is one other difference between the two servers, the master
is 64-bit, while the slave is 32-bit.

The other thing I find odd is that the error only occurs when slapd is
running.  If there was really a problem, wouldn't the error also occur
when doing a slapcat while slapd is stopped?

Thanks,
Bryan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 28 Sep 2010 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 21:54:06 GMT) Full text and rfc822 format available.

Message #70 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: "Walton, Bryan K" <bryan-walton@uiowa.edu>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Bug#598361: Bug#598361: Bug#598361: Bug#598361: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 14:52:52 -0700
--On Tuesday, September 28, 2010 1:21 PM -0500 "Walton, Bryan K" 
<bryan-walton@uiowa.edu> wrote:

> On Tue, 2010-09-28 at 09:42 -0700, Quanah Gibson-Mount wrote:
>
>>
>> The last thing I can think of, just to verify the database didn't get
>> into  an odd place, would be to reload the master.  I'd spot check the
>> LDIF file  to make sure it looked fine.
>
> Thanks.  That didn't seem to make any difference. LDIF file seems
> perfectly correct.  I dumped both directories (master and slave), and
> LDIFs were identical.  Yet, slapcat errors on the master and not the
> slave.  Anyway, I repopulated the directory and still get the error.
>
> BTW, there is one other difference between the two servers, the master
> is 64-bit, while the slave is 32-bit.
>
> The other thing I find odd is that the error only occurs when slapd is
> running.  If there was really a problem, wouldn't the error also occur
> when doing a slapcat while slapd is stopped?

Yeah, I really have no idea why you are seeing this.  I would note that a 
32-bit binary would not work well with a 64-bit built database (or vice 
versa), but I assume both slapd and slapcat in your case are 64-bit.

--Quanah


--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Wed, 29 Sep 2010 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walton, Bryan K" <bryan-walton@uiowa.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 29 Sep 2010 00:03:03 GMT) Full text and rfc822 format available.

Message #75 received at 598361@bugs.debian.org (full text, mbox):

From: "Walton, Bryan K" <bryan-walton@uiowa.edu>
To: 598361@bugs.debian.org
Subject: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Tue, 28 Sep 2010 18:59:39 -0500 (CDT)
>> Quanah Gibson-Mount wrote:
>
> Yeah, I really have no idea why you are seeing this.  I would note that a
> 32-bit binary would not work well with a 64-bit built database (or vice
> versa), but I assume both slapd and slapcat in your case are 64-bit.

Yes.  The box is running Debian Squeeze with all packages coming from the
AMD64 Debian release.  Both slapd and slapcat binaries come from this deb
package:

slapd_2.4.23-6_amd64.deb

-Bryan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Thu, 07 Oct 2010 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony Milan <anthony.milan@ch-stbrieuc.fr>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 07 Oct 2010 15:30:05 GMT) Full text and rfc822 format available.

Message #80 received at 598361@bugs.debian.org (full text, mbox):

From: Anthony Milan <anthony.milan@ch-stbrieuc.fr>
To: 598361@bugs.debian.org
Subject: Bug#598361: slapd slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Thu, 07 Oct 2010 17:17:23 +0200

On Tue, 28 Sep 2010 14:52:52 -0700, Quanah Gibson-Mount wrote:

> BTW, there is one other difference between the two servers, the master
> is 64-bit, while the slave is 32-bit.

I have a only one server in 32-bit and I get the same error with hdb:

hdb_db_open: database "dc=ch-stbrieuc,dc=fr": unclean shutdown detected; attempting recovery.
hdb_db_open: database "dc=ch-stbrieuc,dc=fr": recovery skipped in read-only mode. Run manual recovery if errors are encountered.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slapd depends on:
ii  adduser                   3.112          add and remove users and groups
ii  coreutils                 8.5-1          GNU core utilities
ii  debconf [debconf-2.0]     1.5.35         Debian configuration management sy
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libdb4.8                  4.8.30-2       Berkeley v4.8 Database Libraries [
ii  libgnutls26               2.8.6-1        the GNU TLS library - runtime libr
ii  libldap-2.4-2             2.4.23-6       OpenLDAP libraries
ii  libltdl7                  2.2.6b-2       A system independent dlopen wrappe
ii  libperl5.10               5.10.1-14      shared Perl library
ii  libsasl2-2                2.1.23.dfsg1-6 Cyrus SASL - authentication abstra
ii  libslp1                   1.2.1-7.8      OpenSLP libraries
ii  libwrap0                  7.6.q-19       Wietse Venema's TCP wrappers libra
ii  lsb-base                  3.2-23.1       Linux Standard Base 3.2 init scrip
ii  perl [libmime-base64-perl 5.10.1-14      Larry Wall's Practical Extraction
ii  psmisc                    22.11-1        utilities that use the proc file s
ii  unixodbc                  2.2.14p2-1     ODBC tools libraries

Versions of packages slapd recommends:
ii  libsasl2-modules          2.1.23.dfsg1-6 Cyrus SASL - pluggable authenticat
Versions of packages slapd suggests:
ii  ldap-utils                    2.4.23-6   OpenLDAP utilities

-- Configuration Files:
/etc/default/slapd changed:
SLAPD_CONF=/etc/ldap/slapd.conf
SLAPD_USER="openldap"
SLAPD_GROUP="openldap"
SLAPD_PIDFILE=
SLAPD_SERVICES="ldap:/// ldapi:///"
SLAPD_SENTINEL_FILE=/etc/ldap/noslapd
SLAPD_OPTIONS=""

-- debconf information:
  slapd/internal/generated_adminpw: (password omitted)
* slapd/password2: (password omitted)
  slapd/internal/adminpw: (password omitted)
* slapd/password1: (password omitted)
  slapd/password_mismatch:
  slapd/invalid_config: true
  shared/organization: ch-stbrieuc.fr
  slapd/upgrade_slapcat_failure:
  slapd/backend: HDB
  slapd/dump_database: when needed
  slapd/allow_ldap_v2: false
  slapd/no_configuration: false
  slapd/move_old_database: true
  slapd/dump_database_destdir: /var/backups/slapd-VERSION
  slapd/purge_database: false
  slapd/domain: ch-stbrieuc.fr




-- 
Anthony Milan

Centre Hospitalier de Saint-Brieuc
Direction du système d'information
22027 Saint-Brieuc Cedex 1
Tél : 02 96 01 78 39 (67839)
Fax : 02 96 01 75 57





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Thu, 07 Oct 2010 17:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Branden J. Moore" <bmoore-debian@forkit.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 07 Oct 2010 17:12:10 GMT) Full text and rfc822 format available.


Message #85 received at 598361@bugs.debian.org (full text, mbox):

From: "Branden J. Moore" <bmoore-debian@forkit.org>
To: 598361@bugs.debian.org
Date: Thu, 7 Oct 2010 13:03:07 -0400 (EDT)
I, too, was seeing this message on an AMD64 system running Squeeze, but a 
bit of searching lead me to [1], which implied that I should run slapcat 
as the 'openldap' user.  This fixes the warning message for my system.

% slapcat > /dev/null
bdb_db_open: database "dc=we-be-smart,dc=org": unclean shutdown detected; attempting recovery.
bdb_db_open: database "dc=we-be-smart,dc=org": recovery skipped in read-only mode. Run manual recovery if errors are encountered.
% su openldap -c slapcat > /dev/null
%

[1] http://www.openldap.org/lists/openldap-software/200906/msg00039.html

- Branden




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Fri, 08 Oct 2010 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony Milan <anthony.milan@ch-stbrieuc.fr>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 08 Oct 2010 10:09:05 GMT) Full text and rfc822 format available.

Message #90 received at 598361@bugs.debian.org (full text, mbox):

From: Anthony Milan <anthony.milan@ch-stbrieuc.fr>
To: 598361@bugs.debian.org
Subject: Closed?
Date: Fri, 08 Oct 2010 12:05:20 +0200

Branden,

You're right: run slapcat as the 'openldap' user fixed the warning messages.

In slapcat(8) man page, the limitations are :
  For  some backend types, your slapd(8) should not be running (at least,
  not in read-write mode) when you do this to ensure consistency  of  the
  database.  It  is  always  safe  to  run slapcat with the slapd-bdb(5),
  slapd-hdb(5), and slapd-null(5) backends.

Do run slapcat as the owner of the bakends file is an other limitation?

Regards,

-- 
Anthony Milan

Centre Hospitalier de Saint-Brieuc
Direction du système d'information
22027 Saint-Brieuc Cedex 1
Tél : 02 96 01 78 39 (67839)
Fax : 02 96 01 75 57





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Fri, 08 Oct 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Branden J. Moore" <bmoore-debian@forkit.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 08 Oct 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #95 received at 598361@bugs.debian.org (full text, mbox):

From: "Branden J. Moore" <bmoore-debian@forkit.org>
To: 598361@bugs.debian.org
Subject: Re: Bug#598361: Closed?
Date: Fri, 8 Oct 2010 09:53:37 -0400 (EDT)
[Message part 1 (text/plain, inline)]
Actually, on further investigation, that doesn't appear to fully solve the 
problem.   openldap has /bin/false as its shell, so that is why no output 
was being seen.

su -s /bin/sh openldap -c '/usr/sbin/slapcat -l /dev/null'
bdb_db_open: database "dc=we-be-smart,dc=org": unclean shutdown detected; attempting recovery.
bdb_db_open: database "dc=we-be-smart,dc=org": recovery skipped in read-only mode. Run manual recovery if errors are encountered.


If slapd is shutdown before running slapcat, the warning is not generated.

- Branden


On Fri, 8 Oct 2010, Anthony Milan wrote:

>
>
> Branden,
>
> You're right: run slapcat as the 'openldap' user fixed the warning messages.
>
> In slapcat(8) man page, the limitations are :
>  For  some backend types, your slapd(8) should not be running (at least,
>  not in read-write mode) when you do this to ensure consistency  of  the
>  database.  It  is  always  safe  to  run slapcat with the slapd-bdb(5),
>  slapd-hdb(5), and slapd-null(5) backends.
>
> Do run slapcat as the owner of the bakends file is an other limitation?
>
> Regards,
>
> -- 
> Anthony Milan
>
> Centre Hospitalier de Saint-Brieuc
> Direction du système d'information
> 22027 Saint-Brieuc Cedex 1
> Tél : 02 96 01 78 39 (67839)
> Fax : 02 96 01 75 57
>
>
>
>
> --
> To unsubscribe, send mail to 598361-unsubscribe@bugs.debian.org.
>
>

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Thu, 25 Nov 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Flittner <klaus@flittner.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 25 Nov 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #100 received at 598361@bugs.debian.org (full text, mbox):

From: Klaus Flittner <klaus@flittner.org>
To: 598361@bugs.debian.org
Subject: Cause of this issue
Date: Thu, 25 Nov 2010 20:42:30 +0100
I have the same issue on each debian squeeze installation.

Looking at the source revealed, that the backend db is opened before
the process is forked. (This is a patch added to solve #589915).

During open of the db the alock file gets locked. But this lock is lost
during fork and therefore the db is seen as unclean and not as used.

Removing the said patch, slapcat with running slapd works as expected.

Since the db is no longer locked while slapd is running, all tools like
slapindex can be used on the database, potentially corrupting it.
This probably justifies a higher severity for this bug.

Regards,

Klaus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Mon, 29 Nov 2010 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 29 Nov 2010 17:06:03 GMT) Full text and rfc822 format available.

Message #105 received at 598361@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Klaus Flittner <klaus@flittner.org>, 598361@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#598361: Cause of this issue
Date: Mon, 29 Nov 2010 08:56:58 -0800
--On Thursday, November 25, 2010 8:42 PM +0100 Klaus Flittner 
<klaus@flittner.org> wrote:

> I have the same issue on each debian squeeze installation.
>
> Looking at the source revealed, that the backend db is opened before
> the process is forked. (This is a patch added to solve #589915).
>
> During open of the db the alock file gets locked. But this lock is lost
> during fork and therefore the db is seen as unclean and not as used.
>
> Removing the said patch, slapcat with running slapd works as expected.
>
> Since the db is no longer locked while slapd is running, all tools like
> slapindex can be used on the database, potentially corrupting it.
> This probably justifies a higher severity for this bug.

Thanks for finding the cause.  This is clearly a Debian inflicted issue 
then.

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Mon, 28 Mar 2011 10:09:03 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Mon, 11 Apr 2011 21:57:16 GMT) Full text and rfc822 format available.

Notification sent to "Bryan K. Walton" <bryan-walton@uiowa.edu>:
Bug acknowledged by developer. (Mon, 11 Apr 2011 21:57:16 GMT) Full text and rfc822 format available.

Message #112 received at 598361-close@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: 598361-close@bugs.debian.org
Subject: Bug#598361: fixed in openldap 2.4.25-1
Date: Mon, 11 Apr 2011 21:54:26 +0000
Source: openldap
Source-Version: 2.4.25-1

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.25-1_amd64.deb
  to main/o/openldap/ldap-utils_2.4.25-1_amd64.deb
libldap-2.4-2-dbg_2.4.25-1_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.25-1_amd64.deb
libldap-2.4-2_2.4.25-1_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.25-1_amd64.deb
libldap2-dev_2.4.25-1_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.25-1_amd64.deb
openldap_2.4.25-1.diff.gz
  to main/o/openldap/openldap_2.4.25-1.diff.gz
openldap_2.4.25-1.dsc
  to main/o/openldap/openldap_2.4.25-1.dsc
openldap_2.4.25.orig.tar.gz
  to main/o/openldap/openldap_2.4.25.orig.tar.gz
slapd-dbg_2.4.25-1_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.25-1_amd64.deb
slapd-smbk5pwd_2.4.25-1_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.25-1_amd64.deb
slapd_2.4.25-1_amd64.deb
  to main/o/openldap/slapd_2.4.25-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Möhlmann <matthijs@cacholong.nl> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Apr 2011 22:10:14 +0200
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.25-1
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Matthijs Möhlmann <matthijs@cacholong.nl>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 555409 555867 598361 601569 606815 608699 608813 616164 616703 617606 618904 621925
Changes: 
 openldap (2.4.25-1) unstable; urgency=low
 .
   * New upstream version (Closes: #617606, #618904, #606815, #608813)
     - Fixes CVE-2011-1024, CVE-2011-1025, CVE-2011-1081
     - slapd server process frequently hangs during everyday usage is fixed in
       newer versions of openldap according to the bug submitter
   * Refresh all patches
   * Remove manpage-tlscyphersuite-additions, applied upstream
   * Remove issue-6534-patch, applied upstream
   * Add Slovak translation, thanks Slavko <linux@slavino.sk> (Closes: #608699)
   * Add debian specific patch for ldap.conf. Add TLS_CACERT option and set it
     by default to /etc/ssl/certs/ca-certificates.crt (Closes: #555409, #616703)
   * Add patch to fix a FTBFS with binutils-gold (Closes: #555867)
   * Add slapschema, just hardlink it (Closes: #601569)
   * Update patch service-operational-before-detach (Closes: #616164, #598361)
   * Add ldif_* symbols to libldap-2.4-2
   * Add upstream patch for a locking issue in libldap_r
   * Fix build failure, use @SHELL@ instead of hardcoded /bin/sh (build/top.mk)
     (Closes: #621925)
Checksums-Sha1: 
 d26deae49f9e2afce8d1457633b7c0d6ef31a431 2501 openldap_2.4.25-1.dsc
 7826c6f63a07617ba853d053e33c3775997d0f0f 4541300 openldap_2.4.25.orig.tar.gz
 8d040121feb1d54fa89e24635c3a31f8b8422974 157791 openldap_2.4.25-1.diff.gz
 662bce7e578ea5de1fce3ae1f560c420463b8947 1646490 slapd_2.4.25-1_amd64.deb
 d56b40ef1da54ed6ace57716bcfc4770109a2f11 59154 slapd-smbk5pwd_2.4.25-1_amd64.deb
 ff14b95ff4d2f96d08f3e580fe2b988d9cc9abc4 302482 ldap-utils_2.4.25-1_amd64.deb
 7666bb55d8e0af2ee21a089f9883a9fc9a70d01e 220810 libldap-2.4-2_2.4.25-1_amd64.deb
 ed87662814278c3c1b8d7011865e68c2f723a000 349124 libldap-2.4-2-dbg_2.4.25-1_amd64.deb
 163642795f21291af3465704efe3d17948d6dc97 1103104 libldap2-dev_2.4.25-1_amd64.deb
 25dc045dc786aece54f50f1ba20c96c738bcd292 4434304 slapd-dbg_2.4.25-1_amd64.deb
Checksums-Sha256: 
 32bd4fb81d50037959d62eacbf72f4d96894be864e1befbdda0beed60a5f4732 2501 openldap_2.4.25-1.dsc
 a59a89768e6c63219a0da34cbbb6250a208b7d576e0b40a9a90b150de480ec0c 4541300 openldap_2.4.25.orig.tar.gz
 9896b00d9e85564b996797fdce731f48aa7680a1d89f761873dbf36a3e1ffab9 157791 openldap_2.4.25-1.diff.gz
 c8710dc8d7c2c191b6a6a1aad31a52121cd84f663e7ad66049a2b77da8dd83a2 1646490 slapd_2.4.25-1_amd64.deb
 92645e531e8b1995955d20fd9672019536c7f544ddfe0f97cd016e75afc0a420 59154 slapd-smbk5pwd_2.4.25-1_amd64.deb
 8bc27e9cf9ca653de398f3a1a295bdec79dc1f51cbd926f8040388c3b432f9f4 302482 ldap-utils_2.4.25-1_amd64.deb
 6803988ac52826dc9ffe16a76799061bf8a517459a72243956c218bd4978eb9c 220810 libldap-2.4-2_2.4.25-1_amd64.deb
 89d82462fc765a9eacc0faecbdff77ce6eeb0da919ce70689a6c4c2b861ba364 349124 libldap-2.4-2-dbg_2.4.25-1_amd64.deb
 8a1737bb9ede6f5a95f20e0e9d983aeac6a60d912441267d3697f3bc1712d304 1103104 libldap2-dev_2.4.25-1_amd64.deb
 61e03ba289bfa23ec621941c650dad0d4a392b0d1af44646ab0c8304f524649b 4434304 slapd-dbg_2.4.25-1_amd64.deb
Files: 
 98eef6672dbe2454faf12327bf112541 2501 net optional openldap_2.4.25-1.dsc
 0ecf35eeaf859d59b529b424c7275e6a 4541300 net optional openldap_2.4.25.orig.tar.gz
 5b45b6c3f1a3771883a6b49e3e08a693 157791 net optional openldap_2.4.25-1.diff.gz
 0fe51be7b6ba407ee80c6a85361083ab 1646490 net optional slapd_2.4.25-1_amd64.deb
 bc77940d181a72d0d040dc4fa90b6eeb 59154 net extra slapd-smbk5pwd_2.4.25-1_amd64.deb
 e0b95b9a939c5118dcd80052c0a76446 302482 net optional ldap-utils_2.4.25-1_amd64.deb
 3cd9b7f19298cdb94305a0b0dde1f71a 220810 libs standard libldap-2.4-2_2.4.25-1_amd64.deb
 d2d5c2e31ccdddbc9977d771e0ffb82f 349124 debug extra libldap-2.4-2-dbg_2.4.25-1_amd64.deb
 a73b5b3b625d7d15654f3ffddd168ac5 1103104 libdevel extra libldap2-dev_2.4.25-1_amd64.deb
 da0dce16855c9938787f8141ccd8ab7e 4434304 debug extra slapd-dbg_2.4.25-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJNo2m3AAoJEBXBjvSJ+ky+PqoP/2hQMz+Huu/N8ZC5B/GjvYjw
zIgq4CO25thbJn3/n6Vo5JwZTzViOiNVzJUhRHLnP+Ov+dfWBVS34MCFbhi9PssK
iMx3S8RjfgEt7kjISEzT9FKoGLVNdHxE5vgkD+1I9k1b958hWkTn9b8MuhLXTtmo
nmGvkMsNiy8kw8oj6ujDiULVZKkNHniMQLULNx+pThnOdWQWp/qivqE/k5wB1gPv
nZYqN8yNjcUmZqNcW6qKw3Wkc06lCE09FXqriYqv5+KHmY1PXD8e4klivMCUlEgr
Bf9VD14k8iezEWHMWqHhBAP0zDOgbvOKUjIYP9Az/EBbDpJDmbvk5CN9nM9UmJFp
SmxF5yeur5QsdwL3F5EdmpIBY72voYJ7ATgzE4Pgu/1Nk4SPkhlr0SbjmtNPcZqO
OI9JBFMYW/d53CLgwQqcSnNRFpIGqddiMieR0y0i3n7KpMabiJ9TINSw0n2WbJOX
zAfdnk0JPcxqXOVxtHsml5Q//Fj6bqiEWj04CuRp5GN7miIJ9aNIuKo3E7DH53Ic
vTppzpdXqcUN+MTX+gYj+pIv8C21wnydCsjvXRsGJTiK75uK9c9sNgZVeghTOWzJ
uMouOzIdMz/JyBm06cX+ILLv2KTnuCaSkw1D6qggTvEsBC6Q8n2QsTMW0wGifD6x
puXTTJP+63akq2ellXoz
=Mcq3
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Mon, 02 May 2011 10:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mi <mi.lists@alma.ch>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 10:39:07 GMT) Full text and rfc822 format available.

Message #117 received at 598361@bugs.debian.org (full text, mbox):

From: Mi <mi.lists@alma.ch>
To: 598361@bugs.debian.org
Subject: Re: Bug#598361: fixed in openldap 2.4.25-1
Date: Mon, 02 May 2011 12:10:36 +0200
While the bug may be fixed in future versions, we still need a fix or an acceptable workaround for Squeeze, the stable version.

So it would be nice to either update the package in squeeze, or suggest a workaround which doesn't require a shutdown and restart of slapd.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Sun, 15 May 2011 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Dekkers <jeroen@dekkers.ch>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 15 May 2011 11:39:08 GMT) Full text and rfc822 format available.

Message #122 received at 598361@bugs.debian.org (full text, mbox):

From: Jeroen Dekkers <jeroen@dekkers.ch>
To: 598361@bugs.debian.org
Cc: control@bugs.debian.org
Subject: This bug is RC and should be fixed in a point release.
Date: Sun, 15 May 2011 12:52:40 +0200
severity 598361 grave
thanks

Given that this bug can cause data corruption, the severity shouldn't
be normal and the fix for this bug should be uploaded to
stable-proposed-updates.




Severity set to 'grave' from 'normal' Request was from Jeroen Dekkers <jeroen@dekkers.ch> to control@bugs.debian.org. (Sun, 15 May 2011 11:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Thu, 19 May 2011 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to LIS-UNIX@uvt.nl:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 19 May 2011 16:03:04 GMT) Full text and rfc822 format available.

Message #129 received at 598361@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: 598361@bugs.debian.org
Cc: Jeroen Dekkers <jeroen@dekkers.ch>, LIS-UNIX@uvt.nl
Subject: Re: Bug#598361: slapd: slapcat gives "unclean shutdown detected; attempting recovery" after squeeze upgrade
Date: Thu, 19 May 2011 17:51:15 +0200
[Message part 1 (text/plain, inline)]
Hoi Matthijs,

Is er een kans dat dit probleem in stable gepatcht wordt? Ik wil er wel bij 
helpen als dat nodig is, laat maar weten!


Groeten,
Thijs

-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services • Postbus 90153, 5000 LE
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236 • http://www.uvt.nl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Fri, 27 May 2011 16:12:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lukas Gaertner <lukas.gaertner@credativ.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 27 May 2011 16:12:53 GMT) Full text and rfc822 format available.

Message #134 received at 598361@bugs.debian.org (full text, mbox):

From: Lukas Gaertner <lukas.gaertner@credativ.de>
To: control@bugs.debian.org, 598361@bugs.debian.org
Subject: Make SRM aware of #598361
Date: Fri, 27 May 2011 18:06:27 +0200
clone 598361 -1
reassign -1 release.debian.org
retitle -1 "slapcat gives unclean shutdown detected should be fixed in
stable"
thanks

Hi,
Please consider #598361 for the next stable point-release. Fix is
already in unstable.

Greetings Lukas




Bug 598361 cloned as bug 628147. Request was from Lukas Gaertner <lukas.gaertner@credativ.de> to control@bugs.debian.org. (Fri, 27 May 2011 16:13:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Fri, 27 May 2011 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 27 May 2011 16:45:06 GMT) Full text and rfc822 format available.

Message #141 received at 598361@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Lukas Gaertner <lukas.gaertner@credativ.de>, 598361@bugs.debian.org
Cc: 628147@bugs.debian.org
Subject: Re: Bug#598361: Make SRM aware of #598361
Date: Fri, 27 May 2011 17:43:39 +0100
package release.debian.org
retitle 628147 pu: openldap_2.4.23-7+squeeze1
reopen 628147
severity 628147 wishlist
user release.debian.org@packages.debian.org
usertags 628147 pu
tag 628147 + squeeze moreinfo
thanks

On Fri, 2011-05-27 at 18:06 +0200, Lukas Gaertner wrote:
> retitle -1 "slapcat gives unclean shutdown detected should be fixed in
> stable"
> thanks
> 
> Hi,
> Please consider #598361 for the next stable point-release. Fix is
> already in unstable.

Please don't make such requests by cloning + reassigning - or, if you
do:

- cc debian-release on your mail, otherwise all we get is the result of
the control@ commands

- fix up the state of the bug afterwards; closed bugs of severity grave
against release.d.o aren't that useful in getting things fixed. :) (see
above for an example of what the resulting state should have been)

In any case, now that you've done so, we'd appreciate:

- a brief description of the problem

- a debdiff against the current squeeze package, containing a targetted
fix and confirmation that the package has been successfully tested in a
squeeze environment.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#598361; Package slapd. (Tue, 31 May 2011 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 31 May 2011 19:00:03 GMT) Full text and rfc822 format available.

Message #146 received at 598361@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 628147@bugs.debian.org
Cc: Lukas Gaertner <lukas.gaertner@credativ.de>, 598361@bugs.debian.org
Subject: Re: Bug#628147: Bug#598361: Make SRM aware of #598361
Date: Tue, 31 May 2011 19:56:54 +0100
tag 628147 + pending
thanks

On Fri, 2011-05-27 at 17:43 +0100, Adam D. Barratt wrote:
[...]
> On Fri, 2011-05-27 at 18:06 +0200, Lukas Gaertner wrote:
> > retitle -1 "slapcat gives unclean shutdown detected should be fixed in
> > stable"
> > thanks
> > 
> > Hi,
> > Please consider #598361 for the next stable point-release. Fix is
> > already in unstable.
> 
> Please don't make such requests by cloning + reassigning - or, if you
> do:
> 
> - cc debian-release on your mail, otherwise all we get is the result of
> the control@ commands

#598361 is fixed in openldap 2.4.23-7.1, which will be in
proposed-updates after the next dinstall.

Regards,

Adam





Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 19:57:11 GMT) Full text and rfc822 format available.

Notification sent to "Bryan K. Walton" <bryan-walton@uiowa.edu>:
Bug acknowledged by developer. (Tue, 31 May 2011 19:57:11 GMT) Full text and rfc822 format available.

Message #151 received at 598361-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 598361-close@bugs.debian.org
Subject: Bug#598361: fixed in openldap 2.4.23-7.1
Date: Tue, 31 May 2011 19:54:22 +0000
Source: openldap
Source-Version: 2.4.23-7.1

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.23-7.1_amd64.deb
  to main/o/openldap/ldap-utils_2.4.23-7.1_amd64.deb
libldap-2.4-2-dbg_2.4.23-7.1_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.23-7.1_amd64.deb
libldap-2.4-2_2.4.23-7.1_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.23-7.1_amd64.deb
libldap2-dev_2.4.23-7.1_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.23-7.1_amd64.deb
openldap_2.4.23-7.1.diff.gz
  to main/o/openldap/openldap_2.4.23-7.1.diff.gz
openldap_2.4.23-7.1.dsc
  to main/o/openldap/openldap_2.4.23-7.1.dsc
slapd-dbg_2.4.23-7.1_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.23-7.1_amd64.deb
slapd-smbk5pwd_2.4.23-7.1_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.23-7.1_amd64.deb
slapd_2.4.23-7.1_amd64.deb
  to main/o/openldap/slapd_2.4.23-7.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 11:13:02 +0200
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.23-7.1
Distribution: stable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 598361 616164 617606
Changes: 
 openldap (2.4.23-7.1) stable; urgency=low
 .
   * Non-maintainer upload targeted at stable.
   * Picked the following patches from various sources:
 .
   [ Matthijs Möhlmann ]
   * Update patch service-operational-before-detach (Closes: #616164, #598361)
 .
   [ Ubuntu Security Team / Jamie Strandboge ]
   * SECURITY UPDATE: fix successful anonymous bind via chain overlay when
     using forwarded authentication failures
     - debian/patches/CVE-2011-1024
     - CVE-2011-1024
   * SECURITY UPDATE: verify password when authenticating to rootdn and using ndb
     backend. Note: Debian is not compiled with --enable-ndb by default
     - debian/patches/CVE-2011-1025
     - CVE-2011-1025
   * SECURITY UPDATE: fix DoS when processing unauthenticated modrdn requests
     and requestDN is empty
     - debian/patches/CVE-2011-1081
     - CVE-2011-1081
     - LP: #742104, Closes: 617606
Checksums-Sha1: 
 decaa6761e65e688b3121b09928ba0b1f5bf7d12 2162 openldap_2.4.23-7.1.dsc
 1e5777e57e3d8d1f1fa0bc2188f09241ac305db8 156042 openldap_2.4.23-7.1.diff.gz
 2e8098e511952d02a81313aedca7c88ab63e75e4 1588708 slapd_2.4.23-7.1_amd64.deb
 b968bf4cdc8fc22dbcf61b1ca17ee54a2932d1dc 58226 slapd-smbk5pwd_2.4.23-7.1_amd64.deb
 286d3c90579caa063801b30445ff78aaa9d47dba 328436 ldap-utils_2.4.23-7.1_amd64.deb
 227cc7c1fe3be7c3800929ab5bc46806b001d7f8 210100 libldap-2.4-2_2.4.23-7.1_amd64.deb
 861aca6f55a157800ed8f949842e0efa32b49b60 306872 libldap-2.4-2-dbg_2.4.23-7.1_amd64.deb
 9870c128e3f48c347431872ff77baf4eb836c84f 912912 libldap2-dev_2.4.23-7.1_amd64.deb
 441e32e21ffaacde26ded0993a96b8ccb0ed4a04 4029546 slapd-dbg_2.4.23-7.1_amd64.deb
Checksums-Sha256: 
 02f65fd0b9674721a811a3647d7cf19f81cf24bc747311bc3b55ed84c80af1b8 2162 openldap_2.4.23-7.1.dsc
 ac7582af038a77fdeb8bf2db75dbaea1caa71942097efea57c4e2c50fa36ecd6 156042 openldap_2.4.23-7.1.diff.gz
 8ee607fb11d29a839068b21c232bb3229cd4edc5bfdb2e1d2600750abd274de5 1588708 slapd_2.4.23-7.1_amd64.deb
 1b0da3b5de1fad13acf8a6b390aec1cbbeb934ada2360411b590f7fa46e119e3 58226 slapd-smbk5pwd_2.4.23-7.1_amd64.deb
 3008d09cef14c5cd2f90a76901d881cfc12fb975f1c4cd374bb4171910782457 328436 ldap-utils_2.4.23-7.1_amd64.deb
 b3c6fe817e9108ce6a16d63e8b861bcfbb74096a7e8dac32fe06c2b294875588 210100 libldap-2.4-2_2.4.23-7.1_amd64.deb
 8fb2c4be931dad3722c34eab809b795bd471f5b5500ce2eff9aede5600c95dda 306872 libldap-2.4-2-dbg_2.4.23-7.1_amd64.deb
 d989e96c6ea66c646dd7f31056d64eaae554fce2b9b09cd7ffcc61d93f99146f 912912 libldap2-dev_2.4.23-7.1_amd64.deb
 ee30f4e901ab9bc5591fcbbb0c010984586e974d860aa1688dc5b92f9418f0fd 4029546 slapd-dbg_2.4.23-7.1_amd64.deb
Files: 
 ae1ec8d0d279164279019be37b91cb6e 2162 net optional openldap_2.4.23-7.1.dsc
 abf6059879f990a83555847493331137 156042 net optional openldap_2.4.23-7.1.diff.gz
 d6d6e031fdccc2b60b5be7621d994c02 1588708 net optional slapd_2.4.23-7.1_amd64.deb
 353dd4f8e3823594de867fd5f1b3c3bd 58226 net extra slapd-smbk5pwd_2.4.23-7.1_amd64.deb
 d847183b074d8fe07ff48441a8619f92 328436 net optional ldap-utils_2.4.23-7.1_amd64.deb
 e37c98a8c5424fdea288146cde6b925d 210100 libs standard libldap-2.4-2_2.4.23-7.1_amd64.deb
 339174aee6357d0724a9fba1936b83dc 306872 debug extra libldap-2.4-2-dbg_2.4.23-7.1_amd64.deb
 ed4ce7640a442ee0ec7cb4ec11fd4f79 912912 libdevel extra libldap2-dev_2.4.23-7.1_amd64.deb
 213a72100a6fa9867a16a0d3377282c9 4029546 debug extra slapd-dbg_2.4.23-7.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJN5LpgAAoJEOxfUAG2iX579K4IAKdX6xM3HYDKJMLJQUB/A/so
caI+bp2qD93fJOJujDz33UqQ8/vdH5troUhJojm47N+1NEeAZr9oDCIZdCiJ8OpF
dXzcyA/DzbloqIZ29HjjeUCyoB7Q8rO4Aaw44REhAFfF/LdPXbSYr+V4+YZDgyKT
DekOD5PxQS5eM4Gff5ENBnLvG6WPb7ARnJnm6UHBUFWQLSYuxtCr4qy4JQpqgoof
xgPYHqUqVMcWIY0BmI0NFWxz9VCI4JCPZuN5R5R+rAmNGNgqft9NqGpPgiesQ0m5
6dBc5OCHiuhHbbIHcRrMetNMgvb/Pve/dYGYow6I5Pc2mNNoDqQAYUXBl133O+0=
=eD4q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Jun 2011 07:36:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:23:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.